ON_Plane Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_plane.h>`

## Public Member Functions

| ON_Plane ()
| ON_Plane (const ON_3dPoint &origin, const ON_3dVector &normal)
| ON_Plane (const ON_3dPoint &origin, const ON_3dVector &x_dir, const ON_3dVector &y_dir)
| ON_Plane (const ON_3dPoint &origin, const ON_3dPoint &x_point, const ON_3dPoint &y_point)
| ON_Plane (const double equation[4])
| ~ON_Plane ()
bool | operator== (const ON_Plane &) const
bool | operator!= (const ON_Plane &) const
bool | CreateFromNormal (const ON_3dPoint &origin, const ON_3dVector &normal)
bool | CreateFromFrame (const ON_3dPoint &origin, const ON_3dVector &x_dir, const ON_3dVector &y_dir)
bool | CreateFromPoints (const ON_3dPoint &origin, const ON_3dPoint &point_on_x, const ON_3dPoint &point_on)
bool | CreateFromEquation (const double equation[4])
bool | IsValid () const
const ON_3dPoint & | Origin () const
const ON_3dVector & | Xaxis () const
const ON_3dVector & | Yaxis () const
const ON_3dVector & | Normal () const
void | SetOrigin (const ON_3dPoint &origin)
ON_3dPoint | PointAt (double u, double v) const
ON_3dPoint | PointAt (double u, double v, double w) const
ON_Line | IsoLine (int dir, double c) const
double | DistanceTo (const ON_3dPoint &point) const
bool | GetDistanceToBoundingBox (const ON_BoundingBox &, double *min, double *max) const
bool | UpdateEquation ()
bool | ClosestPointTo (ON_3dPoint world_point, double *u, double *v) const
ON_3dPoint | ClosestPointTo (ON_3dPoint point) const
bool | Transform (const ON_Xform &xform)
bool | SwapCoordinates (int i, int j)
bool | Rotate (double sin_angle, double cos_angle, const ON_3dVector &axis)
bool | Rotate (double angle, const ON_3dVector &axis)
bool | Rotate (double sin_angle, double cos_angle, const ON_3dVector &axis, const ON_3dPoint &center)
bool | Rotate (double angle, const ON_3dVector &axis, const ON_3dPoint &center)
bool | Translate (const ON_3dVector &delta)
bool | Flip ()

## Public Attributes

ON_3dPoint | origin
ON_3dVector | xaxis
ON_3dVector | yaxis
ON_3dVector | zaxis
ON_PlaneEquation | plane_equation

## Static Public Attributes

static const ON_Plane | World_xy

## Detailed Description

Definition at line 20 of file opennurbs_plane.h.

## Constructor & Destructor Documentation

## ON_Plane() [1/5]

ON_Plane::ON_Plane | ( |  | ) |

## ON_Plane() [2/5]

ON_Plane::ON_Plane | ( | const ON_3dPoint & | origin,
|  | const ON_3dVector & | normal
| ) |  |

## ON_Plane() [3/5]

ON_Plane::ON_Plane | ( | const ON_3dPoint & | origin,
|  | const ON_3dVector & | x_dir,
|  | const ON_3dVector & | y_dir
| ) |  |

## ON_Plane() [4/5]

ON_Plane::ON_Plane | ( | const ON_3dPoint & | origin,
|  | const ON_3dPoint & | x_point,
|  | const ON_3dPoint & | y_point
| ) |  |

## ON_Plane() [5/5]

ON_Plane::ON_Plane | ( | const double | equation[4] | ) |

## ~ON_Plane()

ON_Plane::~ON_Plane | ( |  | ) |

## Member Function Documentation

## ClosestPointTo() [1/2]

ON_3dPoint ON_Plane::ClosestPointTo | ( | ON_3dPoint | point | ) | const

## ClosestPointTo() [2/2]

bool ON_Plane::ClosestPointTo | ( | ON_3dPoint | world_point,
|  | double * | u,
|  | double * | v
| ) |  | const

## CreateFromEquation()

bool ON_Plane::CreateFromEquation | ( | const double | equation[4] | ) |

## CreateFromFrame()

bool ON_Plane::CreateFromFrame | ( | const ON_3dPoint & | origin,
|  | const ON_3dVector & | x_dir,
|  | const ON_3dVector & | y_dir
| ) |  |

## CreateFromNormal()

bool ON_Plane::CreateFromNormal | ( | const ON_3dPoint & | origin,
|  | const ON_3dVector & | normal
| ) |  |

## CreateFromPoints()

bool ON_Plane::CreateFromPoints | ( | const ON_3dPoint & | origin,
|  | const ON_3dPoint & | point_on_x,
|  | const ON_3dPoint & | point_on
| ) |  |

## DistanceTo()

double ON_Plane::DistanceTo | ( | const ON_3dPoint & | point | ) | const

## Flip()

bool ON_Plane::Flip | ( |  | ) |

## GetDistanceToBoundingBox()

bool ON_Plane::GetDistanceToBoundingBox | ( | const ON_BoundingBox & | ,
|  | double * | min,
|  | double * | max
| ) |  | const

## IsoLine()

ON_Line ON_Plane::IsoLine | ( | int | dir,
|  | double | c
| ) |  | const

## IsValid()

bool ON_Plane::IsValid | ( |  | ) | const

## Normal()

const ON_3dVector& ON_Plane::Normal | ( |  | ) | const

## operator!=()

bool ON_Plane::operator!= | ( | const ON_Plane & |  | ) | const

## operator==()

bool ON_Plane::operator== | ( | const ON_Plane & |  | ) | const

## Origin()

const ON_3dPoint& ON_Plane::Origin | ( |  | ) | const

## PointAt() [1/2]

ON_3dPoint ON_Plane::PointAt | ( | double | u,
|  | double | v
| ) |  | const

## PointAt() [2/2]

ON_3dPoint ON_Plane::PointAt | ( | double | u,
|  | double | v,
|  | double | w
| ) |  | const

## Rotate() [1/4]

bool ON_Plane::Rotate | ( | double | angle,
|  | const ON_3dVector & | axis
| ) |  |

## Rotate() [2/4]

bool ON_Plane::Rotate | ( | double | angle,
|  | const ON_3dVector & | axis,
|  | const ON_3dPoint & | center
| ) |  |

## Rotate() [3/4]

bool ON_Plane::Rotate | ( | double | sin_angle,
|  | double | cos_angle,
|  | const ON_3dVector & | axis
| ) |  |

## Rotate() [4/4]

bool ON_Plane::Rotate | ( | double | sin_angle,
|  | double | cos_angle,
|  | const ON_3dVector & | axis,
|  | const ON_3dPoint & | center
| ) |  |

## SetOrigin()

void ON_Plane::SetOrigin | ( | const ON_3dPoint & | origin | ) |

## SwapCoordinates()

bool ON_Plane::SwapCoordinates | ( | int | i,
|  | int | j
| ) |  |

## Transform()

bool ON_Plane::Transform | ( | const ON_Xform & | xform | ) |

## Translate()

bool ON_Plane::Translate | ( | const ON_3dVector & | delta | ) |

## UpdateEquation()

bool ON_Plane::UpdateEquation | ( |  | ) |

## Xaxis()

const ON_3dVector& ON_Plane::Xaxis | ( |  | ) | const

## Yaxis()

const ON_3dVector& ON_Plane::Yaxis | ( |  | ) | const

## Member Data Documentation

## origin

ON_3dPoint ON_Plane::origin

Definition at line 452 of file opennurbs_plane.h.

## plane_equation

ON_PlaneEquation ON_Plane::plane_equation

Definition at line 464 of file opennurbs_plane.h.

## World_xy

const ON_Plane ON_Plane::World_xy

static

Definition at line 448 of file opennurbs_plane.h.

## xaxis

ON_3dVector ON_Plane::xaxis

Definition at line 455 of file opennurbs_plane.h.

## yaxis

ON_3dVector ON_Plane::yaxis

Definition at line 458 of file opennurbs_plane.h.

## zaxis

ON_3dVector ON_Plane::zaxis

Definition at line 461 of file opennurbs_plane.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_plane.h